Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDCOUNTRYschemes

    java.lang.Object
      java.lang.Enum<CDCOUNTRYschemes>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDCOUNTRYschemes

All Implemented Interfaces:
  Serializable, Comparable<CDCOUNTRYschemes>

    public enum CDCOUNTRYschemes

extends Enum<CDCOUNTRYschemes>

Java class for CD-COUNTRYschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-COUNTRYschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-COUNTRY"/>
         <enumeration value="CD-FED-COUNTRY"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_COUNTRY`
`CD_FED_COUNTRY`

Method Summary
`static CDCOUNTRYschemes` | `fromValue(String v)`
`String` | `value()`
`static CDCOUNTRYschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDCOUNTRYschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_COUNTRY

    public static final CDCOUNTRYschemes CD_COUNTRY

### CD_FED_COUNTRY

    public static final CDCOUNTRYschemes CD_FED_COUNTRY

Method Detail

### values

    public static CDCOUNTRYschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDCOUNTRYschemes c : CDCOUNTRYschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDCOUNTRYschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDCOUNTRYschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSMIDWIFE 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.